## org.hibernate.engine.jdbc.internal
Enum FormatStyle

    java.lang.Object
      java.lang.Enum<FormatStyle>
          org.hibernate.engine.jdbc.internal.FormatStyle

All Implemented Interfaces:
  Serializable, Comparable<FormatStyle>

    public enum FormatStyle

extends Enum<FormatStyle>

Represents the the understood types or styles of formatting.

Enum Constant Summary
`BASIC`
`DDL`
`NONE`

Method Summary
`Formatter` `getFormatter()`
`String` `getName()`
`static FormatStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FormatStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final FormatStyle BASIC

### DDL

    public static final FormatStyle DDL

### NONE

    public static final FormatStyle NONE

Method Detail

### values

    public static FormatStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FormatStyle c : FormatStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FormatStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

### getFormatter

    public Formatter getFormatter()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.